# Uses of Enum
org.apache.sling.distribution.DistributionRequestState

Packages that use DistributionRequestState
Package
Description
org.apache.sling.distribution

## Uses of DistributionRequestState in org.apache.sling.distribution

Methods in org.apache.sling.distribution that return DistributionRequestState
Modifier and Type
Method
Description
`DistributionRequestState`
DistributionResponse.`getState()`
returns the state of the associated `DistributionRequest`
`static DistributionRequestState`
DistributionRequestState.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DistributionRequestState[]`
DistributionRequestState.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.